/*
 *  TOPPERS/OSEK Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      OSEK Kernel
 *
 *  Copyright (C) 2004-2006 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/*
 *  SH2 7144FpAhX`ish2 7144Fpj
 */

#ifndef _SH7144_H_
#define _SH7144_H_

/* SCIi`lPj */
#define SMR1     *(((volatile UINT8  *)0xFFFF81B0))
#define BRR1     *(((volatile UINT8  *)0xFFFF81B1))
#define SCR1     *(((volatile UINT8  *)0xFFFF81B2))
#define TDR1     *(((volatile UINT8  *)0xFFFF81B3))
#define SSR1     *(((volatile UINT8  *)0xFFFF81B4))
#define RDR1     *(((volatile UINT8  *)0xFFFF81B5))

/* MTUiʁj */
#define TSTR     *(((volatile UINT8  *)0xFFFF8240))

/* MTUi`lPj */
#define TCR_1    *(((volatile UINT8  *)0xFFFF8280))
#define TIER_1   *(((volatile UINT8  *)0xFFFF8284))
#define TSR_1    *(((volatile UINT8  *)0xFFFF8285))
#define TCNT_1   *(((volatile UINT16 *)0xFFFF8286))
#define TGRA_1   *(((volatile UINT16 *)0xFFFF8288))

/* MTUi`lQj */
#define TCR_2    *(((volatile UINT8  *)0xFFFF82A0))
#define TIER_2   *(((volatile UINT8  *)0xFFFF82A4))
#define TSR_2    *(((volatile UINT8  *)0xFFFF82A5))
#define TCNT_2   *(((volatile UINT16 *)0xFFFF82A6))
#define TGRB_2   *(((volatile UINT16 *)0xFFFF82AA))

/* INTC */
#define IPRD     *(((volatile UINT16 *)0xFFFF834E))
#define IPRE     *(((volatile UINT16 *)0xFFFF8350))
#define IPRF     *(((volatile UINT16 *)0xFFFF8352))
#define IPRG     *(((volatile UINT16 *)0xFFFF8354))

/* PFC |[gA */
#define PADRL    *(((volatile UINT16 *)0xFFFF8382))
#define PAIORL   *(((volatile UINT16 *)0xFFFF8386))
#define PACRL1   *(((volatile UINT16 *)0xFFFF838C))
#define PACRL2   *(((volatile UINT16 *)0xFFFF838E))

/* PFC |[gE */
#define PEDRL    *(((volatile UINT16 *)0xFFFF83B0))
#define PEIORL   *(((volatile UINT16 *)0xFFFF83B4))

/* CMT */
#define CMSTR    *(((volatile UINT16 *)0xFFFF83D0))
#define CMCSR_0  *(((volatile UINT16 *)0xFFFF83D2))
#define CMCNT_0  *(((volatile UINT16 *)0xFFFF83D4))
#define CMCOR_0  *(((volatile UINT16 *)0xFFFF83D6))
#define CMCSR_1  *(((volatile UINT16 *)0xFFFF83D8))
#define CMCNT_1  *(((volatile UINT16 *)0xFFFF83DA))
#define CMCOR_1  *(((volatile UINT16 *)0xFFFF83DC))

/* d͏ */
#define MSTCR1   *(((volatile UINT16 *)0xFFFF861C))
#define MSTCR2   *(((volatile UINT16 *)0xFFFF861E))


#endif /* _SH7144_H_ */

